Update Service Instance

Update Service Instance
Update a service instance

Some updates can be performed entirely within the Cloud Controller in which case the response is synchronous. Some updates require communication with the service broker, in which case the response will be asynchronous. The response will be asynchronous if any of these parameters are specified:

  • parameters
  • service_plan
  • maintenance_info
  • name - when the service offering has allow_context_updates feature enabled

Otherwise the response will be synchronous.

Request
URI
PATCH
https://api.example.local/v3/service_instances/{guid}
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Request Body

A request to update a service instance

ServiceInstanceUpdateRequestBody of type(s) application/json
Optional
{
    "name": "string",
    "parameters": {},
    "credentials": {},
    "tags": [
        "string"
    ],
    "syslog_drain_url": "string",
    "route_service_url": "string",
    "relationships": {
        "service_plan": {
            "data": {
                "guid": "string"
            }
        }
    },
    "maintenance_info": {
        "version": "string"
    },
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    }
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

{
    "guid": "string",
    "created_at": "string",
    "updated_at": "string",
    "type": "string",
    "name": "string",
    "tags": [
        "string"
    ],
    "syslog_drain_url": "string",
    "route_service_url": "string",
    "dashboard_url": "string",
    "maintenance_info": {
        "version": "string",
        "description": "string"
    },
    "upgrade_available": false,
    "last_operation": {
        "type": "string",
        "state": "string",
        "description": "string",
        "created_at": "string",
        "updated_at": "string"
    },
    "relationships": {
        "space": {
            "data": {
                "guid": "string"
            }
        },
        "service_plan": {
            "data": {
                "guid": "string"
            }
        }
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "space": {
            "href": "string",
            "method": "string"
        },
        "service_plan": {
            "href": "string",
            "method": "string"
        },
        "parameters": {
            "href": "string",
            "method": "string"
        },
        "service_credential_bindings": {
            "href": "string",
            "method": "string"
        },
        "service_route_bindings": {
            "href": "string",
            "method": "string"
        },
        "shared_spaces": {
            "href": "string",
            "method": "string"
        }
    },
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    }
}

202

Accepted

Operation doesn't return any data structure

Response Headers

string
Location

URL of the job that is updating the service instance


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


409

Conflict

Returns Conflict of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns 500 of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


503

Service Unavailable

Returns ServiceUnavailable of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}'